#!/bin/sh
 
CAMNAME="gbox-2.25"
CAMBIN=gbox_2.25
LINE="--------------------------------------"
INFOFILE="ecm.info"
# end

remove_tmp () {
	rm -rf /tmp/ecm.info /tmp/pid.info /tmp/cardinfo /tmp/cam.info
}

case "$1" in
     start)
        echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
	remove_tmp
        echo $CAMNAME > /tmp/cam.info
	/usr/bin/dccamd &
	sleep 3
	/usr/bin/gbox_2.25 & 
	sleep 10
        ;;
     stop)
	echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
	touch /tmp/gbox.kill
	killall -9 gbox_2.25 dccamd 2>/dev/null
	sleep 2
	remove_tmp
	;;
     restart)
        echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
	touch /tmp/gbox.kill
	killall -9 gbox_2.25 dccamd 2>/dev/null
	sleep 2
	remove_tmp
        sleep 15
        echo $CAMNAME > /tmp/cam.info
	/usr/bin/dccamd &
	sleep 3
	/usr/bin/gbox_2.25 &  
	sleep 10
	;;
     info)
        echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
        if [ -f /tmp/cam.info ]; then
           RUNNING_CAM=`cat /tmp/cam.info` 
        else
           RUNNING_CAM="no CAM" 
        fi
        echo -n "$RUNNING_CAM is started "
        if [ `ps ax | grep $CAMBIN | grep -v grep | grep -v $0 | wc -l` -gt 0 ]; then
           echo "and running"
           echo $LINE
           ps ax | grep $CAMBIN | grep -v grep | grep -v $0
        else
           echo "but not running"
        fi
        echo $LINE
        # check newcs also
        if [ `ps ax | grep newcs | grep -v grep | grep -v $0 | wc -l` -gt 0 ]; then
           echo "and newcs is running"
           echo $LINE
           ps ax | grep newcs | grep -v grep | grep -v $0
        else
           echo "and newcs is not running"
        fi
        echo $LINE

        if [ ! -f /etc/rc3.d/S99camd.sh ]; then
           echo "autostart is disabled"
           echo $LINE
        else
           if [ `ls -al /etc/rc3.d/S99camd.sh | grep $CAMBIN.sh | wc -l` -gt 0 ]; then
              echo "autostart of $CAMNAME is enabled"
              echo $LINE
           else
              echo "autostart of $CAMNAME is disabled"
              echo $LINE
           fi
        fi
         
        if [ -f /tmp/ecm.info ]; then
           echo "ECM info"
           echo $LINE
	   cat /tmp/ecm.info 
           echo $LINE
        fi
        if [ -f /tmp/cardinfo ]; then
           echo "Card info"
           echo $LINE
	   cat /tmp/cardinfo 
           echo $LINE
        fi
	;;
     autostart | enable)
        echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
        ln -sfn /usr/script/gbox_2.25.sh /etc/rc3.d/S99camd.sh
	;;
     noautostart | disable)
        echo $LINE
	echo "[SCRIPT] $1: $CAMNAME"
        echo $LINE
        rm /etc/rc3.d/S99camd.sh > /dev/null 2>&1
	;;
     *)
	echo "Usage: $0 start|stop|restart|info|enable|disable"
	exit 1
	;;
esac

exit 0
